package com.zztrapp.zztrapp.bean;

import java.util.List;

/**
 * Describe 专项任务-黑臭水体
 * Created by Bby on 2022/6/23
 * Email bby0856@163.com
 */
public class BlackWaterTasksBean {

    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean {
        private String id;
        private Object createTime;
        private Object updateTime;
        private Object createBy;
        private Object delFlag;
        private Integer nd;
        private String rwmc;
        private Object rwsl;
        private Integer isKfbj;
        private Object rwqxStartTime;
        private Object rwqxEndTime;
        private Object type;
        private Object list;
        private String stbh;
        private String stmc;
        private String countyCode;
        private String countyName;
        private String stlx;
        private Integer aqzt;
        private Integer isFfst;
        private Integer zljb;
        private String clr;
        private String clsj;
        private String pid;
        private String hcdqdjd;
        private String hcdqdwd;
        private String hcdzdjd;
        private String hcdzdwd;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getCreateTime() {
            return createTime;
        }

        public void setCreateTime(Object createTime) {
            this.createTime = createTime;
        }

        public Object getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(Object updateTime) {
            this.updateTime = updateTime;
        }

        public Object getCreateBy() {
            return createBy;
        }

        public void setCreateBy(Object createBy) {
            this.createBy = createBy;
        }

        public Object getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(Object delFlag) {
            this.delFlag = delFlag;
        }

        public Integer getNd() {
            return nd;
        }

        public void setNd(Integer nd) {
            this.nd = nd;
        }

        public String getRwmc() {
            return rwmc;
        }

        public void setRwmc(String rwmc) {
            this.rwmc = rwmc;
        }

        public Object getRwsl() {
            return rwsl;
        }

        public void setRwsl(Object rwsl) {
            this.rwsl = rwsl;
        }

        public Integer getIsKfbj() {
            return isKfbj;
        }

        public void setIsKfbj(Integer isKfbj) {
            this.isKfbj = isKfbj;
        }

        public Object getRwqxStartTime() {
            return rwqxStartTime;
        }

        public void setRwqxStartTime(Object rwqxStartTime) {
            this.rwqxStartTime = rwqxStartTime;
        }

        public Object getRwqxEndTime() {
            return rwqxEndTime;
        }

        public void setRwqxEndTime(Object rwqxEndTime) {
            this.rwqxEndTime = rwqxEndTime;
        }

        public Object getType() {
            return type;
        }

        public void setType(Object type) {
            this.type = type;
        }

        public Object getList() {
            return list;
        }

        public void setList(Object list) {
            this.list = list;
        }

        public String getStbh() {
            return stbh;
        }

        public void setStbh(String stbh) {
            this.stbh = stbh;
        }

        public String getStmc() {
            return stmc;
        }

        public void setStmc(String stmc) {
            this.stmc = stmc;
        }

        public String getCountyCode() {
            return countyCode;
        }

        public void setCountyCode(String countyCode) {
            this.countyCode = countyCode;
        }

        public String getCountyName() {
            return countyName;
        }

        public void setCountyName(String countyName) {
            this.countyName = countyName;
        }

        public String getStlx() {
            return stlx;
        }

        public void setStlx(String stlx) {
            this.stlx = stlx;
        }

        public Integer getAqzt() {
            return aqzt;
        }

        public void setAqzt(Integer aqzt) {
            this.aqzt = aqzt;
        }

        public Integer getIsFfst() {
            return isFfst;
        }

        public void setIsFfst(Integer isFfst) {
            this.isFfst = isFfst;
        }

        public Integer getZljb() {
            return zljb;
        }

        public void setZljb(Integer zljb) {
            this.zljb = zljb;
        }

        public String getClr() {
            return clr;
        }

        public void setClr(String clr) {
            this.clr = clr;
        }

        public String getClsj() {
            return clsj;
        }

        public void setClsj(String clsj) {
            this.clsj = clsj;
        }

        public String getPid() {
            return pid;
        }

        public void setPid(String pid) {
            this.pid = pid;
        }

        public String getHcdqdjd() {
            return hcdqdjd;
        }

        public void setHcdqdjd(String hcdqdjd) {
            this.hcdqdjd = hcdqdjd;
        }

        public String getHcdqdwd() {
            return hcdqdwd;
        }

        public void setHcdqdwd(String hcdqdwd) {
            this.hcdqdwd = hcdqdwd;
        }

        public String getHcdzdjd() {
            return hcdzdjd;
        }

        public void setHcdzdjd(String hcdzdjd) {
            this.hcdzdjd = hcdzdjd;
        }

        public String getHcdzdwd() {
            return hcdzdwd;
        }

        public void setHcdzdwd(String hcdzdwd) {
            this.hcdzdwd = hcdzdwd;
        }
    }
}
